> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request IDs

All API requests are identified by a request ID designed to ensure that every request and response is traceable and logged efficiently.
This ID is returned in the `Request-Id` header of the response. The request ID is useful for facilitating easy tracking and debugging of requests.

We highly recommend logging the request ID for every API request you make. If you need to contact support, providing the request ID will help us resolve your issue more quickly.

<RequestExample>
  ```bash cURL theme={null}
  curl -i "https://production.methodfi.com/ping" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  import { Method } from 'method-node';

  const method_client = new Method({ apiKey, env });

  const health_check = await method_client.ping();

  console.log(health_check.last_response.request_id);
  ```

  ```python Python theme={null}
  from method import Method

  method_client = Method(api_key=api_key, env=env)

  health_check = method_client.ping()

  print(health_check.last_response.request_id)
  ```
</RequestExample>
